View Issue Details

IDProjectCategoryView StatusLast Update
0004826SymmetricDSBugpublic2021-12-03 14:00
Reporterpmarzullo Assigned Topmarzullo  
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.12.6 
Fixed in Version3.10.14 
Summary0004826: Raima DDL Reader fails to read triggers for specific table
DescriptionThe query to read triggers for a table in the Raima DDL reader is incorrect.

Should be:
SELECT schemaname, tabname, name, event, trig.* FROM sys_trigger trig WHERE tabname = ? AND schemaname = ?
Steps To ReproduceUse SQL Explorer, look for triggers on table browsing on the left.
Tagsddl/schema, dialect: raima

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.11 6f4beba2

2021-12-03 13:05:48

pmarzullo

Details Diff
0004826: Raima DDL Reader fails to read triggers for specific table Affected Issues
0004826
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/raima/RaimaDdlReader.java Diff File

SymmetricDS: 3.12 323e5993

2021-12-03 13:05:48

pmarzullo

Details Diff
0004826: Raima DDL Reader fails to read triggers for specific table Affected Issues
0004826
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/raima/RaimaDdlReader.java Diff File

SymmetricDS: 3.13 afc939b2

2021-12-03 13:05:48

pmarzullo

Details Diff
0004826: Raima DDL Reader fails to read triggers for specific table
# Conflicts:
# symmetric-jdbc/src/main/java/org/jumpmind/db/platform/raima/RaimaDdlReader.java
Affected Issues
0004826
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/raima/RaimaDdlReader.java Diff File

SymmetricDS: 3.14 d8c292ad

2021-12-03 13:05:48

pmarzullo

Details Diff
0004826: Raima DDL Reader fails to read triggers for specific table
# Conflicts:
# symmetric-jdbc/src/main/java/org/jumpmind/db/platform/raima/RaimaDdlReader.java
Affected Issues
0004826
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/raima/RaimaDdlReader.java Diff File

Issue History

Date Modified Username Field Change
2021-02-10 21:25 pmarzullo New Issue
2021-02-10 21:25 pmarzullo Status new => assigned
2021-02-10 21:25 pmarzullo Assigned To => pmarzullo
2021-02-10 21:25 pmarzullo Tag Attached: ddl/schema
2021-02-25 14:33 elong Target Version 3.12.7 => 3.12.8
2021-03-30 19:13 admin Target Version 3.12.8 => 3.12.9
2021-04-28 14:41 admin Target Version 3.12.9 => 3.12.10
2021-05-27 18:46 elong Target Version 3.12.10 =>
2021-11-02 18:27 elong Tag Attached: dialect: raima
2021-12-03 13:28 pmarzullo Status assigned => resolved
2021-12-03 13:28 pmarzullo Resolution open => fixed
2021-12-03 13:28 pmarzullo Fixed in Version => 3.10.14
2021-12-03 14:00 pmarzullo Changeset attached => SymmetricDS 3.11 6f4beba2
2021-12-03 14:00 pmarzullo Changeset attached => SymmetricDS 3.12 323e5993
2021-12-03 14:00 pmarzullo Changeset attached => SymmetricDS 3.13 afc939b2
2021-12-03 14:00 pmarzullo Changeset attached => SymmetricDS 3.14 d8c292ad